﻿using AppointmentsWebPart.VisualWebParts;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AppointmentsWebPart.Tests
{
    class JuliaChild
    {
        /*
        [TestMethod]
        public void IsValidCorpId()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsTrue(webPart.IsValidCorpId("a123455"), "should be true");
            Assert.IsFalse(webPart.IsValidCorpId("a1123455"), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId("123455"), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId("ab23455"), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId("a23455b"), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId(null), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId("123455"), "should be false");
            Assert.IsFalse(webPart.IsValidCorpId(String.Empty), "should be false");
        }
         */

        [TestMethod]
        public void IsValidCorpIdReturnsTrueForValidCorpId()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsTrue(webPart.IsValidCorpId("a123455"), "should be true");
        }

        [TestMethod]
        public void IsValidCorpIdReturnFalseForACorpIdThatsTooLong()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId("a1123455"), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnsFalseForACorpIdThatsTooShort()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId("123455"), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnsFalseForCorpIdThatStartsWithTwoLetters()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId("ab23455"), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnsFalseForCorpIdThatHasALetterWhereANumberShouldBe()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId("a23455b"), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnsFalseWhenCorpIdIsNull()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId(null), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnFalseWhenCorpIdDoesNotStartWithALetter()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId("123455"), "should be false");
        }

        [TestMethod]
        public void IsValidCorpIdReturnsFalseWhenCorpIdIsEmpty()
        {
            BookAnAppointmentWebPart webPart = new BookAnAppointmentWebPart();

            Assert.IsFalse(webPart.IsValidCorpId(String.Empty), "should be false");
        }
    }
}
